Bug 799087 - Please update mozilla-adblockplus in EPEL6
Please update mozilla-adblockplus in EPEL6
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: mozilla-adblockplus (Show other bugs)
el6
All Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Russell Golden
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-01 13:38 EST by Damien Durand
Modified: 2012-04-21 17:00 EDT (History)
2 users (show)

See Also:
Fixed In Version: mozilla-adblockplus-2.0.3-4.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-21 17:00:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Damien Durand 2012-03-01 13:38:37 EST
Description of problem:

Please, update mozilla-adblockplus in epel6. Firefox 10.0.1 ESR was released in RHEL 6.2 some days agos.


Version-Release number of selected component (if applicable):

mozilla-adblockplus-1.1.3-1.el6.noarch
Comment 1 Russell Golden 2012-03-01 14:20:25 EST
I will see what I can do. Last time I tried, 2.x wouldn't even build.
Comment 2 Russell Golden 2012-03-04 11:27:26 EST
It's failing to build from source. There seems to be a problem with python-jinja2.

I'm wondering if it'd be acceptable to just grab the XPI from the site and use that.

Mock Version: 1.1.21
ENTER do(['bash', '--login', '-c', 'rpmbuild -bs --target x86_64 --nodeps builddir/build/SPECS/mozilla-adblockplus.spec'], False, '/var/lib/mock/epel-6-x86_64/root/', None, 0, True, False, 500, 491, None, False, {'LANG': 'en_US.UTF-8', 'TERM': 'vt100', 'SHELL': '/bin/bash', 'CCACHE_DIR': '/tmp/ccache', 'HOSTNAME': 'mock', 'PROMPT_COMMAND': 'echo -n "<mock-chroot>"', 'HOME': '/builddir', 'PATH': '/usr/bin:/bin:/usr/sbin:/sbin', 'CCACHE_UMASK': '002'}, logger=<mockbuild.trace_decorator.getLog object at 0x23dc290>)
Executing command: ['bash', '--login', '-c', 'rpmbuild -bs --target x86_64 --nodeps builddir/build/SPECS/mozilla-adblockplus.spec'] with env {'LANG': 'en_US.UTF-8', 'TERM': 'vt100', 'SHELL': '/bin/bash', 'CCACHE_DIR': '/tmp/ccache', 'HOSTNAME': 'mock', 'PROMPT_COMMAND': 'echo -n "<mock-chroot>"', 'HOME': '/builddir', 'PATH': '/usr/bin:/bin:/usr/sbin:/sbin', 'CCACHE_UMASK': '002'}
Building target platforms: x86_64
Building for target x86_64
Wrote: /builddir/build/SRPMS/mozilla-adblockplus-2.0.3-3.el6.src.rpm
Child return code was: 0
LEAVE do --> 

ENTER do(['bash', '--login', '-c', 'rpmbuild -bb --target x86_64 --nodeps builddir/build/SPECS/mozilla-adblockplus.spec'], False, '/var/lib/mock/epel-6-x86_64/root/', None, 0, True, False, 500, 491, None, False, {'LANG': 'en_US.UTF-8', 'TERM': 'vt100', 'SHELL': '/bin/bash', 'CCACHE_DIR': '/tmp/ccache', 'HOSTNAME': 'mock', 'PROMPT_COMMAND': 'echo -n "<mock-chroot>"', 'HOME': '/builddir', 'PATH': '/usr/bin:/bin:/usr/sbin:/sbin', 'CCACHE_UMASK': '002'}, logger=<mockbuild.trace_decorator.getLog object at 0x23dc290>)
Executing command: ['bash', '--login', '-c', 'rpmbuild -bb --target x86_64 --nodeps builddir/build/SPECS/mozilla-adblockplus.spec'] with env {'LANG': 'en_US.UTF-8', 'TERM': 'vt100', 'SHELL': '/bin/bash', 'CCACHE_DIR': '/tmp/ccache', 'HOSTNAME': 'mock', 'PROMPT_COMMAND': 'echo -n "<mock-chroot>"', 'HOME': '/builddir', 'PATH': '/usr/bin:/bin:/usr/sbin:/sbin', 'CCACHE_UMASK': '002'}
Building target platforms: x86_64
Building for target x86_64
Executing(%prep): /bin/sh -e /var/tmp/rpm-tmp.sYwxfg
+ umask 022
+ cd /builddir/build/BUILD
+ LANG=C
+ export LANG
+ unset DISPLAY
+ cd /builddir/build/BUILD
+ rm -rf mozilla-adblockplus-2.0.3
+ /usr/bin/bzip2 -dc /builddir/build/SOURCES/mozilla-adblockplus-2.0.3.tar.bz2
+ /bin/tar -xf -
+ STATUS=0
+ '[' 0 -ne 0 ']'
+ cd mozilla-adblockplus-2.0.3
+ /bin/tar -xf -
+ /usr/bin/bzip2 -dc /builddir/build/SOURCES/mozilla-adblockplus-2.0.3-buildtools.tar.bz2
+ STATUS=0
+ '[' 0 -ne 0 ']'
+ /bin/chmod -Rf a+rX,u+w,g-w,o-w .
+ echo 'Patch #0 (mozilla-adblockplus-1.3.8-buildNum.patch):'
Patch #0 (mozilla-adblockplus-1.3.8-buildNum.patch):
+ /usr/bin/patch -s -p1 --fuzz=0
+ /bin/cat /builddir/build/SOURCES/mozilla-adblockplus-1.3.8-buildNum.patch
+ echo 'Patch #1 (disable-safeads.patch):'
Patch #1 (disable-safeads.patch):
+ /usr/bin/patch -s -p1 --fuzz=0
+ /bin/cat /builddir/build/SOURCES/disable-safeads.patch
+ exit 0
Executing(%build): /bin/sh -e /var/tmp/rpm-tmp.tpihbW
+ umask 022
+ cd /builddir/build/BUILD
+ cd mozilla-adblockplus-2.0.3
+ LANG=C
+ export LANG
+ unset DISPLAY
+ mkdir -p _build
+ python build.py build --release -b 3.el6 _build/mozilla-adblockplus-2.0.3-3.el6.xpi
Traceback (most recent call last):
  File "build.py", line 10, in <module>
    buildtools.build.processArgs('.', sys.argv)
  File "/builddir/build/BUILD/mozilla-adblockplus-2.0.3/buildtools/build.py", line 352, in processArgs
    commands[command](baseDir, scriptName, opts, args, type)
  File "/builddir/build/BUILD/mozilla-adblockplus-2.0.3/buildtools/build.py", line 39, in __call__
    return self._handler(baseDir, scriptName, opts, args, type)
  File "/builddir/build/BUILD/mozilla-adblockplus-2.0.3/buildtools/build.py", line 166, in runBuild
    limitMetadata=limitMetadata)
  File "/builddir/build/BUILD/mozilla-adblockplus-2.0.3/buildtools/packager.py", line 302, in createBuild
    files['install.rdf'] = createManifest(baseDir, params)
  File "/builddir/build/BUILD/mozilla-adblockplus-2.0.3/buildtools/packager.py", line 146, in createManifest
    env = jinja2.Environment(loader=jinja2.FileSystemLoader(buildtools.__path__[0]), autoescape=True, extensions=['jinja2.ext.autoescape'])
  File "/usr/lib64/python2.6/site-packages/jinja2/environment.py", line 269, in __init__
    self.extensions = load_extensions(self, extensions)
  File "/usr/lib64/python2.6/site-packages/jinja2/environment.py", line 73, in load_extensions
    extension = import_string(extension)
  File "/usr/lib64/python2.6/site-packages/jinja2/utils.py", line 195, in import_string
    return getattr(__import__(module, None, None, [obj]), obj)
AttributeError: 'module' object has no attribute 'autoescape'
error: Bad exit status from /var/tmp/rpm-tmp.tpihbW (%build)
    Bad exit status from /var/tmp/rpm-tmp.tpihbW (%build)
RPM build errors:
Child return code was: 1
EXCEPTION: Command failed. See logs for output.
 # ['bash', '--login', '-c', 'rpmbuild -bb --target x86_64 --nodeps builddir/build/SPECS/mozilla-adblockplus.spec']
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/mockbuild/trace_decorator.py", line 70, in trace
    result = func(*args, **kw)
  File "/usr/lib/python2.7/site-packages/mockbuild/util.py", line 352, in do
    raise mockbuild.exception.Error, ("Command failed. See logs for output.\n # %s" % (command,), child.returncode)
Error: Command failed. See logs for output.
 # ['bash', '--login', '-c', 'rpmbuild -bb --target x86_64 --nodeps builddir/build/SPECS/mozilla-adblockplus.spec']
LEAVE do --> EXCEPTION RAISED
Comment 3 Fedora Update System 2012-04-06 12:44:36 EDT
mozilla-adblockplus-2.0.3-4.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mozilla-adblockplus-2.0.3-4.el6
Comment 4 Fedora Update System 2012-04-06 17:06:16 EDT
Package mozilla-adblockplus-2.0.3-4.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing mozilla-adblockplus-2.0.3-4.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2012-0982/mozilla-adblockplus-2.0.3-4.el6
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-04-21 17:00:43 EDT
mozilla-adblockplus-2.0.3-4.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.